# Generated from devise_ldap_multiple-0.9.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name devise_ldap_multiple

Name: rubygem-%{gem_name}
Version: 0.9.2
Release: 1%{?dist}
Summary: Devise extension to allow authentication to multiple LDAP servers, or with multiple configurations to the same LDAP server. Fork of the devise_ldap_authenticatable project
License: MIT
URL: https://github.com/xarael/devise_ldap_multiple
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rails) >= 4.0
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(factory_girl_rails) >= 1.0
# BuildRequires: rubygem(factory_girl_rails) < 2
# BuildRequires: rubygem(factory_girl) >= 2.0
# BuildRequires: rubygem(factory_girl) < 3
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(capybara)
# BuildRequires: rubygem(launchy)
BuildArch: noarch

%description
Devise extension to allow authentication to multiple LDAP servers, or with
multiple configurations to the same LDAP server. Fork of the
devise_ldap_authenticatable project.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/devise_ldap_multiple.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.9.2-1
- Initial package
